Regional FlagCataclysm System RequirementsSource
avatar
Blue Poster
Target Source
#0 - 2010/10/19 06:12:57 PM
In preparation for the launch of World of Warcraft: Cataclysm, we have updated our recommended minimum system requirements. These new requirements correspond with patch 4.0.1. We suggest players check out our related support article for all of the details to ensure your gameplay experience is as ideal as possible.

http://eu.blizzard.com/support/article.xml?locale=en_GB&articleId=19406